﻿using System.Collections.Generic;
using System.Threading.Tasks;

namespace Robware.Projects.Code {
	public interface IGitApi {
		Task<IEnumerable<Repository>> GetRepositories(string user);
		Task<IEnumerable<Branch>> GetBranches(string user, string repository);
		Task<Commit> GetCommit(string user, string repository, string hash);
	}
}