﻿using System;

namespace Robware.Projects.Gogs {
	public class CommitNotFoundException : Exception {
		public CommitNotFoundException(string user, string repository, string hash, Exception innerException) :base ($"Could not find commit {hash} for user {user} in repository {repository}", innerException) {
			
		}
	}
}