using Robware.Projects.Code;
using Robware.Projects.Gogs.States;

namespace Robware.Projects.Gogs.Models {
	public class GogsCommit : Commit {
		public GogsCommit(CommitState commit) {
			Id = commit.id;
			Message = commit.message;
			Timestamp = commit.timestamp;
		}

		public GogsCommit(CommitDetailsState commit) {
			Id = commit.sha;
			Message = commit.commit.message;
			Timestamp = commit.commit.author.date;
			Url = commit.html_url.Replace("/commits/", "/commit/");
		}
	}
}